> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trust Center viewer activity events

> Gets a list of viewer activity events on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json get /trust-centers/{slugId}/activity
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/activity:
    get:
      tags:
        - Trust Centers
      summary: List Trust Center viewer activity events
      description: Gets a list of viewer activity events on a Trust Center.
      operationId: ListTrustCenterActivityEvents
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - in: query
          name: eventTypesMatchesAny
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ActivityEventType'
        - description: >-
            Only include activity events that occurred on or after the specified
            date and time.
          in: query
          name: afterDate
          required: false
          schema:
            type: string
            format: date-time
        - description: >-
            Only include activity events that occurred before the specified date
            and time.
          in: query
          name: beforeDate
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TrustCenterActivityEvent_
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: true
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
                      data:
                        - id: 4b1e7a8c3d9f6a2b5c8d0e3f
                          date: '2020-01-01T00:00:00.000Z'
                          eventType: PAGE_VIEW
                          details:
                            page: OVERVIEW
                          viewerEmail: exampleviewer@company.com
                          viewerId: a2f7e1b9d0c3f4e5a6c7b8d9
                          countryCode: US
                          city: San Francisco
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    ActivityEventType:
      enum:
        - PAGE_VIEW
        - RESOURCE_DOWNLOAD
        - RESOURCE_VIEW
        - VIDEO_PLAY
      type: string
    PaginatedResponse_TrustCenterActivityEvent_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/TrustCenterActivityEvent'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterActivityEvent:
      properties:
        id:
          type: string
          description: Unique identifier for the activity event.
        date:
          type: string
          format: date-time
          description: Date and time the event occurred.
        eventType:
          $ref: '#/components/schemas/ActivityEventType'
          description: The type of activity event this is.
        details:
          anyOf:
            - properties:
                page:
                  $ref: '#/components/schemas/TrustCenterPage'
                  description: Page that was viewed.
              required:
                - page
              type: object
            - properties:
                resourceName:
                  type: string
                  description: Title of the resource that this event pertains to.
                resourceId:
                  type: string
                  description: ID of the resource that this event pertains to.
              required:
                - resourceName
                - resourceId
              type: object
            - properties:
                videoTitle:
                  type: string
                  description: Title of the video that was played.
              required:
                - videoTitle
              type: object
          nullable: true
          description: >-
            Additional details about the event. Details vary based on event
            type.
        viewerId:
          type: string
          nullable: true
          description: ID of the viewer who produced the event.
        viewerEmail:
          type: string
          nullable: true
          description: Email of the viewer who produced the event.
        city:
          type: string
          nullable: true
          description: City from which the request originated.
        countryCode:
          type: string
          nullable: true
          description: Country code from which the request originated.
      required:
        - id
        - date
        - eventType
        - details
        - viewerId
        - viewerEmail
        - city
        - countryCode
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    TrustCenterPage:
      enum:
        - COMPLIANCE
        - CONTROLS
        - FAQ
        - MEDIA
        - OVERVIEW
        - RESOURCES
        - SUBPROCESSORS
        - UPDATES
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````